# Tehtava
declaration: module: com.example.harjoitustyo, package: com.example.harjoitustyo, class: Tehtava

# Class Tehtava

java.lang.Object
com.example.harjoitustyo.Tehtava

All Implemented Interfaces:
  `Serializable`

public class Tehtava extends Object implements Serializable
Ohjelman perustietoluokka

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`Tehtava.Status`
Enum tehtävän tilan seuraamiseen

## Constructor Summary

Constructors
Constructor
Description
`Tehtava(String otsikko, String kuvaus, LocalDate deadline)`
Luo uuden tehtävän

## Method Summary

Modifier and Type
Method
Description
`LocalDate`
`getDeadline()`
`int`
`getId()`
`String`
`getKuvaus()`
`LocalDate`
`getLuontiPaiva()`
`String`
`getOtsikko()`
`Tehtava.Status`
`getTila()`
`LocalDate`
`getValmistumisPaiva()`
`void`
`setDeadline(LocalDate deadline)`
`protected static void`
`setIdCounter(int idCounter)`
Asettaa luokan staattisen muuttujan tiettyyn arvoon
`void`
`setKuvaus(String kuvaus)`
`void`
`setOtsikko(String otsikko)`
`void`
`setTila(Tehtava.Status tila)`
Asettaa tehtävän tilan ja valmistumisPaiva kentän valmistumispäivään

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Tehtava

public Tehtava(String otsikko, String kuvaus, LocalDate deadline)
Luo uuden tehtävän

Parameters:
  `otsikko` - Tehtävän otsikko
  `kuvaus` - Tehtävän kuvaus
  `deadline` - Tehtävän deadline

## Method Details

### setIdCounter

protected static void setIdCounter(int idCounter)
Asettaa luokan staattisen muuttujan tiettyyn arvoon

Parameters:
  `idCounter` - kentän uusi arvo

### setTila

public void setTila(Tehtava.Status tila)
Asettaa tehtävän tilan ja valmistumisPaiva kentän valmistumispäivään

Parameters:
  `tila` - tehtävän uusi tila

### setOtsikko

public void setOtsikko(String otsikko)

### setKuvaus

public void setKuvaus(String kuvaus)

### setDeadline

public void setDeadline(LocalDate deadline)

### getId

public int getId()

### getOtsikko

public String getOtsikko()

### getKuvaus

public String getKuvaus()

### getLuontiPaiva

public LocalDate getLuontiPaiva()

### getDeadline

public LocalDate getDeadline()

### getValmistumisPaiva

public LocalDate getValmistumisPaiva()

### getTila

public Tehtava.Status getTila()